# $Revision: 1.7.2.2 $, $Date: 2003/04/28 12:51:53 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Sub
%define	pnam	Usage
Summary:	%{pdir}::%{pnam} perl module
Summary(cs):	Modul %{pdir}::%{pnam} pro Perl
Summary(da):	Perlmodul %{pdir}::%{pnam}
Summary(de):	%{pdir}::%{pnam} Perl Modul
Summary(es):	Mdulo de Perl %{pdir}::%{pnam}
Summary(fr):	Module Perl %{pdir}::%{pnam}
Summary(it):	Modulo di Perl %{pdir}::%{pnam}
Summary(ja):	%{pdir}::%{pnam} Perl ⥸塼
Summary(ko):	%{pdir}::%{pnam}  
Summary(no):	Perlmodul %{pdir}::%{pnam}
Summary(pl):	Modu perla %{pdir}::%{pnam}
Summary(pt_BR):	Mdulo Perl %{pdir}::%{pnam}
Summary(pt):	Mdulo de Perl %{pdir}::%{pnam}
Summary(ru):	  Perl %{pdir}::%{pnam}
Summary(sv):	%{pdir}::%{pnam} Perlmodul
Summary(uk):	  Perl %{pdir}::%{pnam}
Summary(zh_CN):	%{pdir}::%{pnam} Perl ģ
Name:		perl-%{pdir}-%{pnam}
Version:	0.03
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.005
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sub::Usage provides functions to display usage of subroutines or methods
from inside the stub.  Some people like to check the parameters of the
routine.

%description -l pl
Sub::Usage udostpnia funkcje, wywietlajce informacje o sposobie uycia
funkcji lub metody.  Niektrzy programici lubi sprawdza parametry
procedur.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
#%%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README TODO
%{perl_sitelib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Sub-Usage.spec,v $
Revision 1.7.2.2  2003/04/28 12:51:53  ankry
- really rel++

Revision 1.7.2.1  2003/03/13 00:58:50  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.7  2003/02/28 10:08:32  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.6  2003/02/25 00:41:49  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:38:29  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/12/28 16:30:00  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.3  2002/12/03 21:34:59  ankry
- cleaning

Revision 1.2  2002/07/25 23:59:08  radek
- added CVS Date field in the first line

Revision 1.1  2002/07/21 23:13:24  radek
- new, STBR
